package cn.iocoder.yudao.module.system.api.robot.dto;

import lombok.Data;

import java.util.List;

/**
 * 机器人点位/异常/能否做任务
 */
@Data
public class RobotStatusDataDTO {
    /**
     * 楼层区域
     */
    public FloorZoneDTO floor_zone;

    /**
     * 机器人位姿
     */
    public RobotStatusDataPoseDTO pose2d;

    /**
     * 货叉高度
     */
    public String forkHeight;

    /**
     * 车辆运行速度
     */
    public RobotStatusDataSpeedDTO agv_speed;

    /**
     * 错误信息
     */
    public List<RobotStatusDataErrorDTO> err_code;

    /**
     * 货物到位传感器触发状态：被按下则 true，否则 false
     */
    public Boolean cargo_detected;
    /**
     * IDLE 和 RUNNING,类型string
     */
    public String task_status;
}
