package cn.iocoder.yudao.module.system.api.robot.vo;

import cn.iocoder.yudao.module.system.api.robot.dto.RobotStatusDataPoseDTO;
import lombok.Data;

/**
 * 车机响应信息
 */
@Data
public class RobotInformationVO {
    /**
     * 设备id
     */
    private Long id;
    /**
     * mac地址
     */
    private String macAddress;
    /**
     * 车辆类型
     */
    private String robotModelNumber;
    /**
     * 点位信息
     */
    public RobotStatusDataPoseDTO pose2d;
}
