package cn.iocoder.yudao.module.system.controller.admin.information.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Schema(description = "管理后台 - 地图绑定设备DTO")
@Data
public class MapBindDeviceInfoDTO {
    @Schema(description = "地图id", example = "6609")
    private Long positionMapId;
    @Schema(description = "设备id", example = "6609")
    private Long deviceInfoId;
    @Schema(description = "类型 1绑定 2取消绑定")
    private Integer type;
}
