package cn.iocoder.yudao.module.system.controller.admin.positionmap.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Schema(description = "管理后台 - 仓库点位地图查询")
@Data
@Accessors(chain = true)
public class PositionMapConditionDTO {
    @Schema(description = "ids")
    private List<Long> ids;

    @Schema(description = "仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "库区id")
    private Long areaId;

    @Schema(description = "线库id")
    private Long laneId;

    @Schema(description = "类型 1.路径点位 2.库位点 3.充电桩 4.停车点 5.区域变更点 6.等待点  --- 后续补充")
    private Integer type;
}
