package cn.iocoder.yudao.module.system.enums.device;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * device_information的`device_attribute` tinyint DEFAULT NULL COMMENT '设备专有属性（1：自动充电类型充电桩、0：手动充电类型充电桩）',
 */
@Getter
@AllArgsConstructor
public enum DeviceAttributeEnum {
    AUTO_CHARGE(1, "自动充电类型充电桩"),
    HAND_MOVEMENT(0, "手动充电类型充电桩");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String msg;
}
