package cn.iocoder.yudao.module.grpc.api;

import cn.iocoder.yudao.module.grpc.service.geometry.GeometryService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class GrpcServiceImpl implements GrpcServiceApi {

    @Resource
    private GeometryService geometryService;

    @Override
    public String onVehiclePoseUpdated() {
        return geometryService.onVehiclePoseUpdated();
    }
}
