package cn.iocoder.yudao.module.mqtt.api.path.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 下发任务给PP，机器人不能行走的楼层和区域
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskLimitationAreaDTO {

    @Schema(description = "楼层", example = "20863")
    private Integer floor;

    @Schema(description = "区域", example = "20863")
    private String area;

}
