package cn.iocoder.yudao.module.mqtt.api.task.dto;

import cn.iocoder.yudao.module.mqtt.enums.task.ExecutionTypeEnum;
import lombok.Data;

import java.util.List;

@Data
public class RobotAcceptTaskDTO {
    /**
     * 订单id
     */
    private String order_id;
    private String order_type = "";
    private String topic;
    //PAUSE(停止)、CONTINUE（继续）、DEFAULT（执行）、CANCEL（取消）
    private String execution_type = ExecutionTypeEnum.DEFAULT.getType();

    private List<RobotAcceptTaskData> data;
}
