package cn.iocoder.yudao.module.system.controller.admin.robot.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TaskPathPlanningDTO {

    @Schema(description = "出发点id(点位子表id)", example = "20863")
    private String id;

    private Double x;

    private Double y;

    private Double yaw;

    @Schema(description = "开始控制点x轴")
    private Double beginControlX;

    @Schema(description = "开始控制点y轴")
    private Double beginControlY;

    @Schema(description = "结束控制点x轴")
    private Double endControlX;

    @Schema(description = "结束控制点y轴")
    private Double endControlY;
}
