package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 设备状态数量信息
 *
 * @author 艾楷
 */
@Data
public class DeviceStatusInfoVO {

    @Schema(description = "设备类型")
    private Integer deviceType;

    @Schema(description = "总数量")
    private Integer totalNum = 0;

    @Schema(description = "正常数量")
    private Integer normalNum = 0;

    @Schema(description = "异常数量")
    private Integer abnormalNum = 0;

}
